// RightManagement Brand CSS
// --------------------------------------------------

// First import the default SCSS files
@import "../../Assets/Css/Focus";

@import "../../Assets/Css/jquery.selectBox";

@import "../../Assets/Css/Focus.Talent";

// Now override styles as required below

// Setup some Right Management global variables
$DefaultTextColour: #444;
$DefaultFontSize: 12px;
$DefaultFontFamily: Verdana, Helvetica, Arial, sans-serif;
$DefaultBorderColour: #878684;
$Orange100: #e77c22;
$Blue100: #466ea5;
$Blue75: #6887b6;
$LightBlue75: #81a4d2;
$Red100: #ab404b;

body {
	font-family: $DefaultFontFamily;
	color: $DefaultTextColour;
	font-size: $DefaultFontSize;
}

a {
	color: #6698c2;
	;
	&:link, &:visited {
		color: #6698c2;
		;
	}
	&:hover {
		text-decoration: underline;
	}
}

hr {
	height: 1px;
	background: $DefaultBorderColour;
}

body .toolbarBottom {
	font-size: $DefaultFontSize;
	color: #666;
	a {
		color: #666;
		font-size: $DefaultFontSize;
	}
}

input[type='text'],
input[type='password'],
textarea,
select {
	border: 1px solid $DefaultBorderColour;
	color: $DefaultBorderColour;
	font-family: $DefaultFontFamily;
	font-size: $DefaultFontSize;
	font-weight: normal;
}

.desktop select {
	background: #fff !important;
	border: 1px solid $DefaultBorderColour !important;
	color: $DefaultBorderColour !important;
	font-weight: normal;
}

.inFieldLabel label {
	color: $DefaultBorderColour;
}

#header {
	background-color: #fff !important;
	height: 118px !important;
	#headerTopWrap {
		background-color: #fff;
		#headerTop {
			padding: 0;
			width: 100%;
		}
	}
	#MainLogoImage {
		padding-left: 0;
	}
}

.usernameSpeechBubble {
	margin-right: 0;
	.usernameSpeechBubbleTextFix {
		color: $Orange100;
		font-size: 18px;
		right: 0;
	}
	.usernameSpeechBubbleLeft {
		background: none;
	}
	.usernameSpeechBubbleRight {
		background: none;
	}
}

.navTab {
	margin: 0;
	li {
		a {
			border: none;
			background: #fff;
			-webkit-box-shadow: none;
			-moz-box-shadow: none;
			box-shadow: none;
			color: $Blue100;
			text-transform: uppercase;
			font-weight: normal;
			font-size: 14px;
			&:hover {
				color: $Blue100;
				border-bottom: 3px solid $Orange100;
			}	
		}
		&.active {
			a {
				border: none;
				border-bottom: 3px solid $Orange100;
				color: $Blue100;
			}
		}
	}
	&.localNavTab {
		li span {
			background: #cacbce;
			border-top: 2px solid #cacbce;
			border-left: 2px solid #cacbce;
			border-right: 2px solid #cacbce;
			color: $DefaultTextColour;
		}
		.active span {
			border-top: 2px solid #cacbce;
			border-left: 2px solid #cacbce;
			border-right: 2px solid #cacbce;
		}
	}
}

#navBottomBorder, #navShadowFix {
	display: none;
}

#main {
	padding-top: 15px;
	-webkit-border-radius: none;
	-moz-border-radius: none;
	border-radius: none;
}

#footer {
	border-top: none;
	#footerMiddle a {
		color: $DefaultBorderColour;
		font-size: 11px;
	}
	#footerCopyright {
		color: $DefaultTextColour;
		font-size: 11px;
	}
	#footerLeft .instructions i {
		color: $DefaultTextColour;
		font-size: 11px;
	}
}

.pageNav {
	color: $DefaultTextColour;
	strong {
		font-weight: normal;
	}
	a, a:link, a:visited {
		color: #6698c2;
		&.current-page {
			color: $DefaultTextColour;
			font-weight: normal;
		}
	}
}

h1 {
	font-family: Arial, Helvetica, sans-serif;
	color: #000;
	padding: 20px 0 20px 0;
	font-size: 32px;
	&:before {
		content: "";
		width: 49px;
		height: 49px;
		background: url(Images/sprite-rm-symbols.png) -112px 8px no-repeat;
		float: left; 
		margin: 0 6px 2px 0;
		position: relative;
		top: -6px;
	}
}

.button1, .button2, .button3, .button4, .customfile-button, 
.customfile-hover .customfile-button, 
.customfile-focus .customfile-button, .asyncFileUploadButton, a.button7, div.button7 {
	background-color: #eee;
	border: 1px solid #ccc;
	text-transform: uppercase;
	color: $DefaultBorderColour;
	font-weight: normal;
	font-size: 16px;
	&:hover {
		background-color: #eee;
		color: $DefaultTextColour;
	}
}
a.button7, div.button7 {
	text-transform: none;
	font-size: $DefaultFontSize;
	font-family: $DefaultFontFamily
}
input[type='submit'].aspNetDisabled, .button1Disabled {
	background-color: #eee;
	border: 1px solid #ccc;
	text-transform: uppercase;
	color: #ccc;
	font-weight: normal;
	font-size: 16px;
	padding: 0 12px 1px 12px;
	vertical-align: top;
	height: 26px;
}
.customfile-feedback {
  border: 1px solid $DefaultBorderColour;
	color: $DefaultBorderColour;
}

.modal {
	border: 1px solid $DefaultBorderColour;
	th {
		color: $Blue100;
		&.th2 {
			background-color: $LightBlue75;
			font-size: 12px;
		}
	}
	h1 {
		color: $Blue100;
		font-size: 18px;
		padding-top: 0;
		&:before {
			display: none;
		}
	}
}

.SavedReport {
	width: 135px;
	background-color: #eee;
	padding: 10px;
	.Date, .Caption {
		color: $DefaultTextColour;
	}
	.Caption {
		font-weight: bold;
	}
	img {
		border: 1px solid #b9b9b9;
	}
}

.HorizontalRule {
	display: none;
}

.singleAccordionTitle, .advancedSearchAccordionTitle {
	background-color: #bfbfbf;
	border-top: 1px solid #7f7f7f;
	border-bottom: 1px solid #7f7f7f;
	height: 22px;
	line-height: 22px;
	&.singleAccordionStyle2 {
		background-color: #ccd8eb;
		border-color: #a4bcdd;
	}
	a {
		color: $DefaultTextColour !important;
		line-height: 22px;
	}
	img {
		margin: 0 0 0 5px;
	}
}

.singleAccordionContent {
	border-bottom: 1px solid #7f7f7f !important;
	&.singleAccordionStyle2 {
		border-color: #a4bcdd !important;
		background-color: #fff;
	}
}

.accordionWithIcon {
	.multipleAccordionTitle {
		font-size: 12px;
		text-transform: none;
		background-color: #ccd8eb;
		td {
			border-top: 1px solid #a4bcdd;
		}
	}
	.accordionContent {
		background: #fff;
		border-bottom: 1px solid #a4bcdd;
		table {
			background: #fff;
			border-bottom: none;
			td {
				font-size: 12px;
				color: $DefaultTextColour;
			}
		}
	}
}

.table {
	border: none;
	th {
		background-color: $LightBlue75;
		color: #fff;
		td {
			background-color: $LightBlue75;
		}
	}
	td {
		background-color: #f3f8f7;
	}
	a {
		color: $DefaultTextColour !important;
	}
	tbody hr {
		display: none;
	}
}

.tableHeader {
	border: none;
	td {
		background-color: $LightBlue75;
		color: #fff;
		font-weight: bold;
	}
}

div.updateableClientList ul {
	border-color: #a4bcdd;
	li {
		background-color: #eee;
		border: 1px solid #ccc;
		color: $DefaultBorderColour;
		line-height: 16px;
	}
}

.tooltipster-career {
  border: 1px solid $DefaultBorderColour;
  background: #fff;
  color: $DefaultTextColour;
}

#tabbedContent {
	border: 2px solid #cacbce;
}

.genericTable {
	.bottomRow span {
		border-left: 1px solid $DefaultBorderColour;
		border-right: 1px solid $DefaultBorderColour;
		border-bottom: 1px solid $DefaultBorderColour;
	}
	.topRow {
		.column1 span {
			border-left: 1px solid $DefaultBorderColour;
		}
		.column3 > span {
			border-right: 1px solid $DefaultBorderColour;
		}
		> td > span {
			border-top: 1px solid $DefaultBorderColour;
		}
	}
	.topRowHighlighted {
		.column1 span {
			border-left: 2px solid $Red100;
		}
		.column3 > span {
			border-right: 2px solid $Red100;
		}
		> td > span {
			border-top: 2px solid $Red100;
		}
	}
	.bottomRowHighlighted span {
		border-left: 2px solid $Red100;
		border-right: 2px solid $Red100;
		border-bottom: 2px solid $Red100;
	}
}

.progressBar {
	td {
		color: $DefaultTextColour;
	}
	span {
		background-color: #bec9df;
	}
	.active {
		background-color: $Blue75;
		color: #fff;
		&.nextVisited {
			background-color: $Blue75;
		}
	}	
	.activePrevious span {
		background-color: #ccd8eb;
		&.visited.nextActive {
			background: #ccd8eb url(Images/icon_resumearrow_activeprevious.png) right center no-repeat;
		}
	}
	.visited.nextActivePrevious {
		background: #e3edec url(Images/fa_icon_resumearrow_inactive_next_activeprevious.png) right center no-repeat;
	}
}

.jqplot-target {
	font-family: $DefaultFontFamily;
	color: $DefaultTextColour;
	font-size: 12px;
}

.office-list-item {
	border: 1px solid #a4bcdd;
}

.dataInputLabel, .dataInputField {
	font-size: 12px;
}

/* Security Questions Styling */
.questheader {
	font-weight: bold; 
	color: $Blue100;
	font-size: 18px;
}

.questbox {
	padding: 10px; 
	width: 30%; 
	background-color: #f2f4f6; 
	display: inline-block;
}
.questboxheader {
	font-weight: bold; 
	color: $Blue100; 
	font-size: 16px; 
	margin-bottom: 10px;
}

.idconfirmationheader {
  font-size: 10px;
  font-weight: bold;
  color: $Blue100; 
}

.questpanelleft {
  width: 44%;
  display: inline-block;
  padding-right: 10px;
}

.questpanelright {
  width: 44%;
  display: inline-block;
  padding-left: 10px;
}

.error-panel {
  display: block;
  background: #f2dede url("Images/icon-error-panel.png") no-repeat 15px 15px;
  color: #a94442;
  font-size: 13px;
  font-weight: bold;
  line-height: 18px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  border-radius: 6px;
  padding: 15px 15px 15px 56px;
  margin-bottom: 15px;
}
